#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeappsver	23.08.5
%define		kframever	5.94.0
%define		qtver		5.15.2
%define		kaname		kpublictransport
Summary:	A library for accessing realtime public transport data
Name:		ka5-%{kaname}
Version:	23.08.5
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	b390e680cbc1d8971a9b3f26f5c01271
URL:		https://community.kde.org/KDE_PIM/KDE_Itinerary
BuildRequires:	Qt5Core-devel >= 5.15.2
BuildRequires:	Qt5Gui-devel >= 5.15.2
BuildRequires:	Qt5Network-devel >= 5.15.2
BuildRequires:	Qt5Qml-devel >= 5.15.2
BuildRequires:	Qt5Quick-devel
BuildRequires:	kf5-extra-cmake-modules >= 5.91
BuildRequires:	ninja
BuildRequires:	polyclipping-devel
BuildRequires:	qt5-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.605
BuildRequires:	shared-mime-info
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A library for accessing realtime public transport data and for
performing public transport journey queries.

This includes:
- Finding bus stops or train stations, departures/arrivals from there,
  and journeys between those.
- Path and routing information for individual transport sections of a
  journey.
- Information about train coach and train station platform layouts.
- Information about rental vehicle positions and availability, such as
  shared bikes or scooters.
- Realtime information about the operational status of elevators or
  escalators.

%package devel
Summary:	Header files for %{kaname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kaname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for %{kaname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kaname}.

%prep
%setup -q -n %{kaname}-%{version}

%build
%cmake \
	-B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DHTML_INSTALL_DIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON
%ninja_build -C build

%if %{with tests}
ctest --test-dir build
%endif


%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README.md
%ghost %{_libdir}/libKPublicTransport.so.1
%attr(755,root,root) %{_libdir}/libKPublicTransport.so.*.*.*
%dir %{_libdir}/qt5/qml/org/kde/kpublictransport
%attr(755,root,root) %{_libdir}/qt5/qml/org/kde/kpublictransport/libkpublictransportqmlplugin.so
%{_libdir}/qt5/qml/org/kde/kpublictransport/qmldir
%dir %{_libdir}/qt5/qml/org/kde/kpublictransport/ui
%{_libdir}/qt5/qml/org/kde/kpublictransport/ui/VehicleSectionItem.qml
%attr(755,root,root) %{_libdir}/qt5/qml/org/kde/kpublictransport/ui/libkpublictransportquickplugin.so
%{_libdir}/qt5/qml/org/kde/kpublictransport/ui/qmldir
%{_datadir}/qlogging-categories5/org_kde_kpublictransport.categories
%ghost %{_libdir}/libKPublicTransportOnboard.so.1
%attr(755,root,root) %{_libdir}/libKPublicTransportOnboard.so.*.*.*
%dir %{_libdir}/qt5/qml/org/kde/kpublictransport/onboard
%attr(755,root,root) %{_libdir}/qt5/qml/org/kde/kpublictransport/onboard/libkpublictransportonboardqmlplugin.so
%{_libdir}/qt5/qml/org/kde/kpublictransport/onboard/qmldir
%{_datadir}/qlogging-categories5/org_kde_kpublictransport_onboard.categories

%files devel
%defattr(644,root,root,755)
%{_includedir}/KPublicTransport
%{_libdir}/cmake/KPublicTransport
%{_libdir}/libKPublicTransport.so
%{_libdir}/libKPublicTransportOnboard.so
%changelog
* Tue Apr 23 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka5-kpublictransport.git;a=log;h=master

* Fri Mar 15 2024 Witold Filipczyk <witekfl@poczta.onet.pl> d370c9b
- updated to 23.08.5

* Fri Mar 15 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 6b3933a
- Revert "- 24.01.95"

* Sat Feb 17 2024 Witold Filipczyk <witekfl@poczta.onet.pl> e432ac6
- 24.01.95

* Fri Dec 08 2023 Witold Filipczyk <witekfl@poczta.onet.pl> eb19915
- updated to 23.08.4

* Fri Nov 10 2023 Witold Filipczyk <witekfl@poczta.onet.pl> ba8f3a9
- updated to 23.08.3

* Fri Oct 13 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 853698f
- updated to 23.08.2

* Fri Sep 15 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 681ecc8
- updated to 23.08.1

* Thu Aug 24 2023 Witold Filipczyk <witekfl@poczta.onet.pl> b35767f
- updated to 23.08.0; cmake -B build

* Fri Jul 07 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 983ff10
- updated to 23.04.3

* Sat Jun 10 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 4f53076
- updated to 23.04.2

* Fri May 12 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 00a0585
- updated to 23.04.1

* Fri Apr 21 2023 Witold Filipczyk <witekfl@poczta.onet.pl> d8383e8
- updated to 23.04.0

* Sun Apr 09 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> f819362
- rebuild against QT 5.15.9

* Fri Mar 03 2023 Witold Filipczyk <witekfl@poczta.onet.pl> d95668b
- updated to 22.12.3

* Fri Feb 03 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 3632890
- updated to 22.12.2

* Fri Jan 06 2023 Witold Filipczyk <witekfl@poczta.onet.pl> b52713f
- updated to 22.12.1

* Thu Jan 05 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 553e3f6
- rebuild against QT 5.15.8

* Thu Dec 08 2022 Witold Filipczyk <witekfl@poczta.onet.pl> eb65359
- updated to 22.12.0

* Fri Nov 04 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 1c0cdd2
- updated to 22.08.3

* Fri Oct 14 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 76309e1
- updated to 22.08.2

